import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DeleteNotificationConfigurationRequest,
  DeleteNotificationConfigurationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface DeleteNotificationConfigurationCommandInput
  extends DeleteNotificationConfigurationRequest {}
export interface DeleteNotificationConfigurationCommandOutput
  extends DeleteNotificationConfigurationResponse,
    __MetadataBearer {}
declare const DeleteNotificationConfigurationCommand_base: {
  new (
    input: DeleteNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteNotificationConfigurationCommandInput,
    DeleteNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteNotificationConfigurationCommandInput,
    DeleteNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteNotificationConfigurationCommand extends DeleteNotificationConfigurationCommand_base {
  protected static __types: {
    api: {
      input: DeleteNotificationConfigurationRequest;
      output: {};
    };
    sdk: {
      input: DeleteNotificationConfigurationCommandInput;
      output: DeleteNotificationConfigurationCommandOutput;
    };
  };
}
