import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DisableNotificationsAccessForOrganizationRequest,
  DisableNotificationsAccessForOrganizationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface DisableNotificationsAccessForOrganizationCommandInput
  extends DisableNotificationsAccessForOrganizationRequest {}
export interface DisableNotificationsAccessForOrganizationCommandOutput
  extends DisableNotificationsAccessForOrganizationResponse,
    __MetadataBearer {}
declare const DisableNotificationsAccessForOrganizationCommand_base: {
  new (
    input: DisableNotificationsAccessForOrganizationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisableNotificationsAccessForOrganizationCommandInput,
    DisableNotificationsAccessForOrganizationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DisableNotificationsAccessForOrganizationCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DisableNotificationsAccessForOrganizationCommandInput,
    DisableNotificationsAccessForOrganizationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DisableNotificationsAccessForOrganizationCommand extends DisableNotificationsAccessForOrganizationCommand_base {
  protected static __types: {
    api: {
      input: {};
      output: {};
    };
    sdk: {
      input: DisableNotificationsAccessForOrganizationCommandInput;
      output: DisableNotificationsAccessForOrganizationCommandOutput;
    };
  };
}
