import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DisassociateChannelRequest,
  DisassociateChannelResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface DisassociateChannelCommandInput
  extends DisassociateChannelRequest {}
export interface DisassociateChannelCommandOutput
  extends DisassociateChannelResponse,
    __MetadataBearer {}
declare const DisassociateChannelCommand_base: {
  new (
    input: DisassociateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisassociateChannelCommandInput,
    DisassociateChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DisassociateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisassociateChannelCommandInput,
    DisassociateChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DisassociateChannelCommand extends DisassociateChannelCommand_base {
  protected static __types: {
    api: {
      input: DisassociateChannelRequest;
      output: {};
    };
    sdk: {
      input: DisassociateChannelCommandInput;
      output: DisassociateChannelCommandOutput;
    };
  };
}
