import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetManagedNotificationEventRequest,
  GetManagedNotificationEventResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface GetManagedNotificationEventCommandInput
  extends GetManagedNotificationEventRequest {}
export interface GetManagedNotificationEventCommandOutput
  extends GetManagedNotificationEventResponse,
    __MetadataBearer {}
declare const GetManagedNotificationEventCommand_base: {
  new (
    input: GetManagedNotificationEventCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetManagedNotificationEventCommandInput,
    GetManagedNotificationEventCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetManagedNotificationEventCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetManagedNotificationEventCommandInput,
    GetManagedNotificationEventCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetManagedNotificationEventCommand extends GetManagedNotificationEventCommand_base {
  protected static __types: {
    api: {
      input: GetManagedNotificationEventRequest;
      output: GetManagedNotificationEventResponse;
    };
    sdk: {
      input: GetManagedNotificationEventCommandInput;
      output: GetManagedNotificationEventCommandOutput;
    };
  };
}
