import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetNotificationsAccessForOrganizationRequest,
  GetNotificationsAccessForOrganizationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface GetNotificationsAccessForOrganizationCommandInput
  extends GetNotificationsAccessForOrganizationRequest {}
export interface GetNotificationsAccessForOrganizationCommandOutput
  extends GetNotificationsAccessForOrganizationResponse,
    __MetadataBearer {}
declare const GetNotificationsAccessForOrganizationCommand_base: {
  new (
    input: GetNotificationsAccessForOrganizationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetNotificationsAccessForOrganizationCommandInput,
    GetNotificationsAccessForOrganizationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [GetNotificationsAccessForOrganizationCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    GetNotificationsAccessForOrganizationCommandInput,
    GetNotificationsAccessForOrganizationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetNotificationsAccessForOrganizationCommand extends GetNotificationsAccessForOrganizationCommand_base {
  protected static __types: {
    api: {
      input: {};
      output: GetNotificationsAccessForOrganizationResponse;
    };
    sdk: {
      input: GetNotificationsAccessForOrganizationCommandInput;
      output: GetNotificationsAccessForOrganizationCommandOutput;
    };
  };
}
