import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { ListChannelsRequest, ListChannelsResponse } from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListChannelsCommandInput extends ListChannelsRequest {}
export interface ListChannelsCommandOutput
  extends ListChannelsResponse,
    __MetadataBearer {}
declare const ListChannelsCommand_base: {
  new (
    input: ListChannelsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListChannelsCommandInput,
    ListChannelsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListChannelsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListChannelsCommandInput,
    ListChannelsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListChannelsCommand extends ListChannelsCommand_base {
  protected static __types: {
    api: {
      input: ListChannelsRequest;
      output: ListChannelsResponse;
    };
    sdk: {
      input: ListChannelsCommandInput;
      output: ListChannelsCommandOutput;
    };
  };
}
