import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DisassociateManagedNotificationAdditionalChannelRequest,
  DisassociateManagedNotificationAdditionalChannelResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface DisassociateManagedNotificationAdditionalChannelCommandInput
  extends DisassociateManagedNotificationAdditionalChannelRequest {}
export interface DisassociateManagedNotificationAdditionalChannelCommandOutput
  extends DisassociateManagedNotificationAdditionalChannelResponse,
    __MetadataBearer {}
declare const DisassociateManagedNotificationAdditionalChannelCommand_base: {
  new (
    input: DisassociateManagedNotificationAdditionalChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisassociateManagedNotificationAdditionalChannelCommandInput,
    DisassociateManagedNotificationAdditionalChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DisassociateManagedNotificationAdditionalChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisassociateManagedNotificationAdditionalChannelCommandInput,
    DisassociateManagedNotificationAdditionalChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DisassociateManagedNotificationAdditionalChannelCommand extends DisassociateManagedNotificationAdditionalChannelCommand_base {
  protected static __types: {
    api: {
      input: DisassociateManagedNotificationAdditionalChannelRequest;
      output: {};
    };
    sdk: {
      input: DisassociateManagedNotificationAdditionalChannelCommandInput;
      output: DisassociateManagedNotificationAdditionalChannelCommandOutput;
    };
  };
}
