import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetManagedNotificationChildEventRequest,
  GetManagedNotificationChildEventResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface GetManagedNotificationChildEventCommandInput
  extends GetManagedNotificationChildEventRequest {}
export interface GetManagedNotificationChildEventCommandOutput
  extends GetManagedNotificationChildEventResponse,
    __MetadataBearer {}
declare const GetManagedNotificationChildEventCommand_base: {
  new (
    input: GetManagedNotificationChildEventCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetManagedNotificationChildEventCommandInput,
    GetManagedNotificationChildEventCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetManagedNotificationChildEventCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetManagedNotificationChildEventCommandInput,
    GetManagedNotificationChildEventCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetManagedNotificationChildEventCommand extends GetManagedNotificationChildEventCommand_base {
  protected static __types: {
    api: {
      input: GetManagedNotificationChildEventRequest;
      output: GetManagedNotificationChildEventResponse;
    };
    sdk: {
      input: GetManagedNotificationChildEventCommandInput;
      output: GetManagedNotificationChildEventCommandOutput;
    };
  };
}
