import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListManagedNotificationChannelAssociationsRequest,
  ListManagedNotificationChannelAssociationsResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListManagedNotificationChannelAssociationsCommandInput
  extends ListManagedNotificationChannelAssociationsRequest {}
export interface ListManagedNotificationChannelAssociationsCommandOutput
  extends ListManagedNotificationChannelAssociationsResponse,
    __MetadataBearer {}
declare const ListManagedNotificationChannelAssociationsCommand_base: {
  new (
    input: ListManagedNotificationChannelAssociationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationChannelAssociationsCommandInput,
    ListManagedNotificationChannelAssociationsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListManagedNotificationChannelAssociationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationChannelAssociationsCommandInput,
    ListManagedNotificationChannelAssociationsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListManagedNotificationChannelAssociationsCommand extends ListManagedNotificationChannelAssociationsCommand_base {
  protected static __types: {
    api: {
      input: ListManagedNotificationChannelAssociationsRequest;
      output: ListManagedNotificationChannelAssociationsResponse;
    };
    sdk: {
      input: ListManagedNotificationChannelAssociationsCommandInput;
      output: ListManagedNotificationChannelAssociationsCommandOutput;
    };
  };
}
