import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListManagedNotificationConfigurationsRequest,
  ListManagedNotificationConfigurationsResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListManagedNotificationConfigurationsCommandInput
  extends ListManagedNotificationConfigurationsRequest {}
export interface ListManagedNotificationConfigurationsCommandOutput
  extends ListManagedNotificationConfigurationsResponse,
    __MetadataBearer {}
declare const ListManagedNotificationConfigurationsCommand_base: {
  new (
    input: ListManagedNotificationConfigurationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationConfigurationsCommandInput,
    ListManagedNotificationConfigurationsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListManagedNotificationConfigurationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationConfigurationsCommandInput,
    ListManagedNotificationConfigurationsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListManagedNotificationConfigurationsCommand extends ListManagedNotificationConfigurationsCommand_base {
  protected static __types: {
    api: {
      input: ListManagedNotificationConfigurationsRequest;
      output: ListManagedNotificationConfigurationsResponse;
    };
    sdk: {
      input: ListManagedNotificationConfigurationsCommandInput;
      output: ListManagedNotificationConfigurationsCommandOutput;
    };
  };
}
