import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListNotificationEventsRequest,
  ListNotificationEventsResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListNotificationEventsCommandInput
  extends ListNotificationEventsRequest {}
export interface ListNotificationEventsCommandOutput
  extends ListNotificationEventsResponse,
    __MetadataBearer {}
declare const ListNotificationEventsCommand_base: {
  new (
    input: ListNotificationEventsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListNotificationEventsCommandInput,
    ListNotificationEventsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListNotificationEventsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListNotificationEventsCommandInput,
    ListNotificationEventsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListNotificationEventsCommand extends ListNotificationEventsCommand_base {
  protected static __types: {
    api: {
      input: ListNotificationEventsRequest;
      output: ListNotificationEventsResponse;
    };
    sdk: {
      input: ListNotificationEventsCommandInput;
      output: ListNotificationEventsCommandOutput;
    };
  };
}
